Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error when opening eclipse
Error when opening eclipse [message #760561] Fri, 02 December 2011 22:08 Go to next message
holdyourcolors is currently offline holdyourcolorsFriend
Messages: 2
Registered: December 2011
Junior Member
I downloaded the eclipse IDE for java developers and unzipped the folder to my C drive then edited the eclipse.ini file. Pretty sure it's not correct because when I run the .exe it says

Java was started but returned exit code=13
C:\program Files (x86)\java\jdk1.7.0.01\bin\javaw.exe
-dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx384m
--Xx:maxPermSize=256m
-jar
C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
-os win32
-arch x86_64
-showsplash
-launcher c:\eclipse.exe
-name Eclipse
-launcher.library
C:\eclipse\\plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v
20101222\eclipse_1312.dll
-startup
C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
-exitdata a90_58
-product org.eclipse.epp.package.java.product
-vm C:\Program Files(x86)\Java\jdk1.7.0_01\bin\javaw.exe
-vmargs
-dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx384m
-XX:MaxPermSize=256m
-jar
C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar

and this is what my eclipse.ini looks like...
-startup
plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v20101222
-product
org.eclipse.epp.package.java.product
--launcher.defaultActionopenFile
--launcher.XXMaxPermSize256M
-showsplashorg.eclipse.platform
--launcher.XXMaxPermSize256m
--launcher.defaultActionopenFile
-vm
C:\Program Files (x86)\Java\jdk1.7.0_01\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx384m

any help is much appreciated.
Re: Error when opening eclipse [message #760563 is a reply to message #760561] Fri, 02 December 2011 23:23 Go to previous messageGo to next message
David Wegener is currently offline David WegenerFriend
Messages: 1441
Registered: July 2009
Senior Member
On 12/02/2011 04:08 PM, holdyourcolors wrote:
> I downloaded the eclipse IDE for java developers and unzipped the folder
> to my C drive then edited the eclipse.ini file. Pretty sure it's not
> correct because when I run the .exe it says
> Java was started but returned exit code=13
> C:\program Files (x86)\java\jdk1.7.0.01\bin\javaw.exe
> -dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
> --Xx:maxPermSize=256m
> -jar
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
> -os win32
> -arch x86_64
> -showsplash
> -launcher c:\eclipse.exe
> -name Eclipse
> -launcher.library
> C:\eclipse\\plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v
>
> 20101222\eclipse_1312.dll
> -startup
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
> -exitdata a90_58
> -product org.eclipse.epp.package.java.product
> -vm C:\Program Files(x86)\Java\jdk1.7.0_01\bin\javaw.exe
> -vmargs
> -dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
> -XX:MaxPermSize=256m
> -jar
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
>
> and this is what my eclipse.ini looks like...
> -startup
> plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
> --launcher.library
> plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v20101222
>
> -product
> org.eclipse.epp.package.java.product
> --launcher.defaultActionopenFile
> --launcher.XXMaxPermSize256M
> -showsplashorg.eclipse.platform
> --launcher.XXMaxPermSize256m
> --launcher.defaultActionopenFile
> -vm
> C:\Program Files (x86)\Java\jdk1.7.0_01\bin\javaw.exe
> -vmargs
> -Dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
>
> any help is much appreciated.
You are trying to run a 64 bit Eclipse on a 32 bit JVM. That won't
work. The bit size has to match between the two. You either have to
install a 64 bit JVM, or download the 32 bit Eclipse version.
Re: Error when opening eclipse [message #760660 is a reply to message #760561] Sat, 03 December 2011 23:20 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3798
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 2011.12.02 15:08, holdyourcolors wrote:
> I downloaded the eclipse IDE for java developers and unzipped the folder
> to my C drive then edited the eclipse.ini file. Pretty sure it's not
> correct because when I run the .exe it says
> Java was started but returned exit code=13
> C:\program Files (x86)\java\jdk1.7.0.01\bin\javaw.exe
> -dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
> --Xx:maxPermSize=256m
> -jar
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
> -os win32
> -arch x86_64
> -showsplash
> -launcher c:\eclipse.exe
> -name Eclipse
> -launcher.library
> C:\eclipse\\plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v
>
> 20101222\eclipse_1312.dll
> -startup
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
> -exitdata a90_58
> -product org.eclipse.epp.package.java.product
> -vm C:\Program Files(x86)\Java\jdk1.7.0_01\bin\javaw.exe
> -vmargs
> -dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
> -XX:MaxPermSize=256m
> -jar
> C:\eclipse\\plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
>
>
> and this is what my eclipse.ini looks like...
> -startup
> plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
> --launcher.library
> plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.2.R36x_v20101222
>
> -product
> org.eclipse.epp.package.java.product
> --launcher.defaultActionopenFile
> --launcher.XXMaxPermSize256M
> -showsplashorg.eclipse.platform
> --launcher.XXMaxPermSize256m
> --launcher.defaultActionopenFile
> -vm
> C:\Program Files (x86)\Java\jdk1.7.0_01\bin\javaw.exe
> -vmargs
> -Dosgi.requiredJavaVersion=1.5
> -Xms40m
> -Xmx384m
>
> any help is much appreciated.

Are you trying to run a 64-bit Eclipse download on a 32-bit JDK?
Re: Error when opening eclipse [message #760896 is a reply to message #760660] Mon, 05 December 2011 14:29 Go to previous message
holdyourcolors is currently offline holdyourcolorsFriend
Messages: 2
Registered: December 2011
Junior Member
I had actually thought about that as i read the error again. I must have just clicked the wrong link for the JDK i'll try installing the 64 bit.
Previous Topic:Ant build after clean not triggering
Next Topic:Does the number of faults in files vary significantly in Eclipse?
Goto Forum:
  


Current Time: Tue Jun 15 00:53:42 GMT 2021

Powered by FUDForum. Page generated in 0.03096 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top